> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload an ISO application PDF for automated scrubbing in under 15 seconds

> Use this endpoint to upload an ISO application PDF. Once uploaded, the file will be automatically scrubbed asynchronously. You can use the returned heron_id (prefixed "iso_") to fetch the scrubbing results from the GET endpoint below. Please contact support@herondata.io to enable this endpoint.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/iso_applications/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/iso_applications/:
    post:
      tags:
        - ISOApplication
      summary: >-
        Upload an ISO application PDF for automated scrubbing in under 15
        seconds
      description: >
        Use this endpoint to upload an ISO application PDF. Once uploaded, the
        file will be automatically scrubbed asynchronously. You can use the
        returned heron_id (prefixed "iso_") to fetch the scrubbing results from
        the GET endpoint below. Please contact support@herondata.io to enable
        this endpoint.
      requestBody:
        content:
          multipart/form-data:
            schema:
              properties:
                file:
                  format: binary
                  type: string
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  heron_id:
                    description: e.g. iso_
                    type: string
                  status:
                    enum:
                      - processing
                    type: string
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````